Last Comment Bug 811768 - Do not convert spaces to &nbsp; in <pre> blocks, as this breaks live examples
: Do not convert spaces to &nbsp; in <pre> blocks, as this breaks live examples
Status: VERIFIED FIXED
:
Product: Mozilla Developer Network
Classification: Other
Component: Editing (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
: website
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-14 09:45 PST by Eric Shepherd [:sheppy]
Modified: 2013-11-11 18:21 PST (History)
1 user (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Eric Shepherd [:sheppy] 2012-11-14 09:45:44 PST
When editing inside <pre> blocks, spaces at the beginning of lines are inserted as &nbsp; instead of as a space. These break the live sample system, since &nbsp; isn't legal in CSS, for example. The best fix would be to make it not do &nbsp; in <pre> blocks like this.
Comment 1 [github robot] 2012-11-15 10:02:45 PST
Commits pushed to master at https://github.com/mozilla/kuma

https://github.com/mozilla/kuma/commit/f36cb4bd0503cba07dbde2eb105562dda6b02033
fix bug 811768 - Prevents nbsp;'s in PRE tags

https://github.com/mozilla/kuma/commit/05d2bfdaa99b8c657d9d524622c31c31deaf17d8
Merge pull request #705 from darkwing/pre-tabs-811768

fix bug 811768 - Prevents nbsp;'s in PRE tags
Comment 2 raymond [:retornam] (inactive) 2012-11-15 14:14:24 PST
verified fixed https://developer.allizom.org/en-US/docs/WebSockets

Note You need to log in before you can comment on or make changes to this bug.